Subject: bug#2161 closed by Glenn Morris <[email-masked]> (Re: bug#2158: Failed to convert from Babyl to mbox)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 12 Feb 2009 23:40:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,rmail package:

#2158: 23.0.90; Another failure to convert to mbox

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
2158: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2158
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2158: Failed to convert from Babyl to mbox
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 12 Feb 2009 18:30:03 -0500

jpff wrote:

> The text in the mail file that causes the problem is
[...]
>  -=- MIME -=- 
> This is a multi-part message in MIME format.
> --------------FE20D8BEBC1781F2911C1D92

I believe this indicates you have processed the message with the
add-on rmime.el at some point. This should be fixed, as of 2009-02-07,
provided that rmime.el is available when you run unrmail.

Subject: 23.0.90; Another failure to convert to mbox
From: jpff <[email-masked]>
To: [email-masked]
Date: Mon, 02 Feb 2009 11:44:53 +0000

I am attempting to convert my main mail file (96Mb) to mbox format.
It stpped after 105 messages having joined tne next message to it, and apparently losing the other 17K messages

I cannot see anything wrong with the message being converted
------------------------------------------------------------------------
1,,
Summary-line: 26-Jan  to: [email-masked]  [21] #Re: Look_for_quad
Date:     Fri, 26 Jan 96 10:17:20 GMT
From:     [email-masked]
Subject:  Re: Look_for_quad
To:       [email-masked]

*** EOOH ***
Date:     Fri, 26 Jan 96 10:17:20 GMT
From:     [email-masked]
Subject:  Re: Look_for_quad
To:       [email-masked]

Message written at 26 Jan 1996 08:14:40 +0000
--- Copy of mail to [email-masked] ---
In-reply-to: <[email-masked]> (message from Tony Hearn on
	Wed, 24 Jan 96 17:23:56 -0800)

It looks as if it has decided that the form is a quartic, but then
later finds that the x^2 term has a zero coefficient.  It looks as if
I fail to deal with sqrts of perfect squares; I assume that the form
sqrt(x^2) has been simplified before it gets to this code.  At one
level this is a simplification failure, or I could accept that it
happens and treat degenerate cases.  A very simple paliative would be
to add a line "if null numr a then return nil" in look_for_quad, after
the line commented "Re-centre".  The integral then fails, but does not
crash.  I will give it a little more thought.

==John

1,,
Summary-line: 26-Jan       [email-masked]  [10] #Can I recommend
Received: from haldane1.maths.bath.ac.uk by omphalos.maths.Bath.AC.UK
          id aa27004; 26 Jan 96 15:35 GMT
Date:     Fri, 26 Jan 96 15:34:41 GMT
From:     James Davenport <[email-masked]>
To:       [email-masked]
Subject:  Can I recommend

*** EOOH ***
Date:     Fri, 26 Jan 96 15:34:41 GMT
From:     James Davenport <[email-masked]>
To:       [email-masked]
Subject:  Can I recommend

(not necessarily for all the details, but the style)
"The Hich-hikers Guide to Grobner Bases"
~jhd/TeX/Others/1326.ps.Z

James

......etc
------------------------------------------------------------------------
These two message are treated as one
I have hacked all the other mail mail files to mbox, but this one has me totally confused.

In GNU Emacs 23.0.90.1 (i686-pc-linux-gnu, GTK+ Version 2.12.0)
 of 2009-02-02 on cardew
Windowing system distributor `The X.Org Foundation', version 11.0.70200000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-v C-v C-v C-v 
C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v 
C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v 
C-v C-v C-x k <return> C-x C-b <down> <down> C-x o 
<down> <down> <down> d <up> <up> d <up> <up> <return> 
C-x 1 C-x C-e C-x C-f R M A I L <return> y y C-v C-v 
C-v C-v C-v C-v C-v C-x k <return> y e s <return> C-x 
C-f M-x C-g M-x f i n d - f i l e - l i <tab> <return> 
R M A I L <return> y M-s q C-s q u a d C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-a <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> C-g M-v M-v M-v M-x r e p o r t - <tab> 
<return>

Recent messages:
Writing messages to /tmp/rmail12648IOB...done
Replacing BABYL format with mbox format...
Counting messages...done
Replacing BABYL format with mbox format...done
Counting messages...done
call-interactively: End of buffer
Entering debugger...
Quit
File RMAIL is large (94MB), really open? (y or n) 
Quit [2 times]